<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://example.com
 * @since             1.0.1
 * @package           Full_Window_Interactive_Slider
 *
 * @wordpress-plugin
 * Plugin Name:       Full Window Interactive Slider
 * Plugin URI:        http://wowcost.es/producto/full-window-interactive-slider/
 * Description:       Use this plugin to make full window size interactive sliders
 * Version:           1.0.1
 * Author:            WOWCost.es 
 * Author URI:        http://wowcost.es/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       full-window-interactive-slider
 * Domain Path:       /languages
 */
define( 'FWMS_HANDL_VERSION', '0.9' );
define( 'FWMS_GST_HANDL_MINIMUM_WP_VERSION', '4' );
define( 'FWMS_GST_HANDL_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
define( 'FWMS_GST_HANDL_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-full-window-interactive-slider-activator.php
 */
function activate_full_window_interactive_slider() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-full-window-interactive-slider-activator.php';
	Full_Window_Interactive_Slider_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-full-window-interactive-slider-deactivator.php
 */
function deactivate_full_window_interactive_slider() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-full-window-interactive-slider-deactivator.php';
	Full_Window_Interactive_Slider_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_full_window_interactive_slider' );
register_deactivation_hook( __FILE__, 'deactivate_full_window_interactive_slider' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-full-window-interactive-slider.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_full_window_interactive_slider() {

	$plugin = new Full_Window_Interactive_Slider();
	$plugin->run();

}
run_full_window_interactive_slider();